/**
 * 版权所有 ©2021 莱欧有限公司
 * 工程名：yearBooks
 * 文件名：FruitController.java
 * 创建日期：2021年10月28日 上午10:15:24
 * 作者：mt.W
 */
package com.lion.controller;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.http.HttpResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.lion.entity.Fruit;
import com.lion.service.FruitService;
import com.lion.util.TokenUtil;

/**
 * 类描述  种植业指标-水果类别 controller
 * @author mt.W
 * @since 2021年10月28日
 */
@RestController
@RequestMapping("fruit")
public class FruitController {

	@Autowired
	private FruitService service;
	
	/**
	 * 
	 * 方法描述   查询类别列表
	 * @author mt.W
	 * @since 2021年10月28日
	 * @param rows
	 * @param page
	 * @param name
	 * @return
	 */
	@RequestMapping("getTypeList.service")
	public Map<String, Object> getTypeList(String rows,String page,String name){
		return service.getTypeList(rows, page, name);
	}
	/**
	 * 
	 * 方法描述   保存类别信息
	 * @author mt.W
	 * @since 2021年10月28日
	 * @param req
	 * @param f
	 * @return
	 */
	@RequestMapping("saveTypeInfo.service")
	public Map<String,Object> saveTypeInfo(HttpServletRequest req,Fruit f){
		return service.saveTypeInfo(f, TokenUtil.getUserInfo(req).getUserId());
	}
	
	/**
	 * 
	 * 方法描述    删除类别
	 * @author mt.W
	 * @since 2021年10月28日
	 * @param id
	 * @return
	 */
	@RequestMapping("deleteType.service")
	public Map<String,Object> deleteType(String id){
		return service.deleteType(id);
	}
	/**
	 * 
	 * 方法描述   查询水果类别
	 * @author mt.W
	 * @since 2021年10月28日
	 * @return
	 */
	@RequestMapping("getTypeAllList.service")
	public Map<String,Object> getTypeList(){
		return service.getTypeList();
	}
	@RequestMapping("getTypeAllList.do")
	public Map<String,Object> getTypeListDo(HttpServletResponse response){
		response.addHeader("Content-Security-Policy","object-src 'self'");
		return service.getTypeList();
	}
}
